Author: Reiner Herrmann <reiner@reiner-h.de>
Description: Fix FTBFS with GCC 10
Bug-Debian: https://bugs.debian.org/957249

--- a/src/amazons.h
+++ b/src/amazons.h
@@ -75,7 +75,7 @@
 
 typedef struct state_s state;
 typedef struct state_t state_t;
-state_t **tt;
+extern state_t **tt;
 
 //Collection of all game states
 struct game_states 
@@ -126,13 +126,13 @@
 };
 
 /* intersting statistic globals */
-int tt_overwrite;
-int tt_stores;
+extern int tt_overwrite;
+extern int tt_stores;
 
-int tt_updates;
-int tt_lookups;
-int tt_lookup_finds;
-int heval_calls;
+extern int tt_updates;
+extern int tt_lookups;
+extern int tt_lookup_finds;
+extern int heval_calls;
 
 
 
--- a/src/main.c
+++ b/src/main.c
@@ -23,6 +23,15 @@
 Board *board;
 GtkWidget *main_window;
 
+state_t **tt;
+int tt_overwrite;
+int tt_stores;
+
+int tt_updates;
+int tt_lookups;
+int tt_lookup_finds;
+int heval_calls;
+
 
 int main (int argc, char *argv[])
 {
